# $Revision: 1.10 $, $Date: 2010/11/11 21:16:50 $
%define		module		xsd
%include	/usr/lib/rpm/macros.java
Summary:	XSD Schema Infoset Model
Summary(pl.UTF-8):	Model Infoset w schemacie XSD
Name:		eclipse-%{module}
Version:	2.2.5
Release:	1
License:	EPL v1.0
Group:		Libraries/Java
Source0:	http://archive.eclipse.org/modeling/emf/emf/downloads/drops/%{version}/R200808252119/xsd-SDK-%{version}.zip
# Source0-md5:	18eb2449902116d6eaa5b78f53c58b3b
URL:		http://eclipse.org/modeling/mdt/?project=xsd
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	eclipse >= 3.2
Requires:	eclipse-emf-sdo-xsd >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		eclipsedir	%{_datadir}/eclipse

%description
XSD Schema Infoset Model.

%description -l pl.UTF-8
Model Infoset w schemacie XSD.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{eclipsedir}/{features,plugins}
cp -a eclipse/features/* $RPM_BUILD_ROOT%{eclipsedir}/features
cp -a eclipse/plugins/* $RPM_BUILD_ROOT%{eclipsedir}/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{eclipsedir}/features/org.eclipse.xsd*
%{eclipsedir}/plugins/org.eclipse.xsd*
%{eclipsedir}/plugins/org.eclipse.emf.mapping.xsd*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eclipse-xsd.spec,v $
Revision 1.10  2010/11/11 21:16:50  glen
- release 1

Revision 1.9  2010/11/11 21:15:02  glen
- up to 2.2.5; noarch; javadeps

Revision 1.8  2007/12/13 21:11:22  adamg
- release 1

Revision 1.7  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.5  2006/12/05 21:20:19  qboosh
- pl
- not noarch because of libdir usage

Revision 1.4  2006/12/04 14:41:50  baggins
- proper license and eclipse dir

Revision 1.3  2006/12/04 14:30:47  baggins
- added _buildid

Revision 1.2  2006/12/04 14:16:21  baggins
- added missing files

Revision 1.1  2006/12/04 14:14:35  baggins
- initial revision
